---
title: Debug scrollable overflow
slug: Tools/Page_Inspector/How_to/Debug_Scrollable_Overflow
---
<div>{{ToolsSidebar}}</div>

<p class="summary">A <a href="/en-US/docs/Glossary/Scroll_container">scroll container</a> is created by applying <code><a href="/en-US/docs/Web/CSS/overflow">overflow</a>: scroll</code> to a container, or <code>overflow: auto</code> when there is enough content to cause overflow. The Firefox DevTools make it easy to discover both scrollable elements and any elements that are causing overflow.</p>

<p class="summary">In the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#HTML_pane">HTML Pane</a>, a scrollable element has the <font face="consolas, Liberation Mono, courier, monospace"><span style="background-color: rgba(220, 220, 220, 0.5);">scroll</span></font> badge next to it, as shown in the following image:</p>

<p><img alt="HTML Pane Scroll badge" src="https://mdn.mozillademos.org/files/17407/scroll_hover.png" style="height: 265px; width: 543px;"></p>

<p>You can toggle the <code>scroll</code> badge to highlight elements causing an overflow, expanding nodes as needed to make the nodes visible:</p>

<p><img alt="Scroll badge toggled on 1" src="https://mdn.mozillademos.org/files/17408/scroll_badge_pressed.png" style="height: 209px; width: 541px;"></p>

<p>You will also see an <code>overflow</code> badge next to the node causing the overflow.</p>

<p><img alt="HTML Pane: Overflow badge" src="https://mdn.mozillademos.org/files/17409/overflow_badge.png"></p>
